Last Comment Bug 391556 - problems handling namespace that starts with hierarchy delimiter
: problems handling namespace that starts with hierarchy delimiter
Status: RESOLVED FIXED
: fixed1.8.1.8
Product: MailNews Core
Classification: Components
Component: Networking: IMAP (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: David :Bienvenu
:
:
Mentors:
Depends on:
Blocks: 124287
  Show dependency treegraph
 
Reported: 2007-08-09 10:53 PDT by David :Bienvenu
Modified: 2009-01-22 10:17 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (1.17 KB, patch)
2007-08-09 13:23 PDT, David :Bienvenu
mscott: superreview+
mscott: approval1.8.1.8+
Details | Diff | Splinter Review

Description David :Bienvenu 2007-08-09 10:53:25 PDT
If an imap server returns a namespace that begins with a hierarchy delimiter, in order to distinguish that namespace from a personal folder with the same name, then our IMAP code gets very confused, and shows each level in the hierarchy as a top level folder.
Comment 1 David :Bienvenu 2007-08-09 13:23:34 PDT
Created attachment 276019 [details] [diff] [review]
proposed fix

this fixes the problem so such folders are at least usable.  We're still not doing things exactly right - we should be creating a munged directory name for the "/home" container .sbd file instead of "home.sbd", e.g., "338384.sbd" so we'll have issues if the user has a "home" folder as well. But this is much better than the previous behavior.
Comment 2 David :Bienvenu 2007-08-10 08:25:09 PDT
the basic problem is fixed - we'll let this bake on the trunk. Might be good for a 2.0.0.x release...
Comment 3 David :Bienvenu 2007-10-02 17:13:29 PDT
fix landed for 1.8.1.8

Note You need to log in before you can comment on or make changes to this bug.